/*
  root window for kmpg (menu and all this stuff)
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#include "kmpgRootWindow.h"



KmpgRootWindow::KmpgRootWindow( QWidget *parent = 0, const char *name = 0 ):
  KTMainWindow( name ) {

  url=new KURL();
  buildMenuBar();
}

KmpgRootWindow::~KmpgRootWindow() {
  delete url;
}


void KmpgRootWindow::buildMenuBar() {
  KMenuBar *mBar;
  QPopupMenu* file;
 
  mBar = menuBar();

  file = new QPopupMenu(this);
  file->insertItem( klocale->translate("Open..."), this, 
		    SLOT(openFileSelector()), CTRL+Key_O );
  file->insertSeparator();
  file->insertItem( klocale->translate("Quit"), kapp,
		    SLOT(quit()), ALT+Key_Q );

  mBar->insertItem( klocale->translate("&File"), file );
}
  



void KmpgRootWindow::setPlayer(KmpgPlayer* player) {
  this->player=player;
  setView(player);
}


KmpgPlayer* KmpgRootWindow::getPlayer() {
 return player;
}


void KmpgRootWindow::openFileSelector() {
  QString string;
  string=KFileDialog::getOpenFileName();
  if (string.length() > 0) {
    url->parse(string.data());
    cout << "filedialog sel:"<<string.data()<<endl;
    emit( open(url));
    return;
  }
  cout << "nothing selected"<<endl;
}



