/*
  stores author/name/length etc. of song
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */



#include <deviceConfig/musicInfo.h>



MusicInfo::MusicInfo() {
  name=new Buffer(50);
  lHasChanged=false;
  makeInvalid();
}


MusicInfo::~MusicInfo() {
  delete name;
}



void MusicInfo::setName(char* newName) {
  name->clear();
  name->append(newName);
}


char* MusicInfo::getName() {
  return name->getData();
}



void MusicInfo::setSec(int secs) {
  this->secs=secs;
}


int MusicInfo::getSec() {
  return secs;
}


int MusicInfo::isValid() {
  if (secs == -1) {
    return false;
  }
  if (name->len() == 0) {
    return false;
  }
  return true;
}

void MusicInfo::makeInvalid() {
  name->clear();
  secs=-1;
}



int MusicInfo::getChange() {
  return lHasChanged;
}


void MusicInfo::setChange(int change) {
  lHasChanged=change;
}


void MusicInfo::copyTo(MusicInfo* dest) {
  if (dest == NULL) {
    return;
  }

  dest->setChange(getChange());
  dest->setName(getName());
  dest->setSec(getSec());
}


void MusicInfo::print() {
  cout << "MusicInfo-begin-"<<endl;
  cout << "change:"<<getChange()<< " name:"<<getName()
       << " sec:"<<getSec()<<endl;
  cout << "MusicInfo-end-"<<endl;
 
}


 
